diff --git a/Scripts/Bash/Functions/Render/render_doIdentityImages.sh b/Scripts/Bash/Functions/Render/render_doIdentityImages.sh
index 742062a..574c6f6 100644
--- a/Scripts/Bash/Functions/Render/render_doIdentityImages.sh
+++ b/Scripts/Bash/Functions/Render/render_doIdentityImages.sh
@@ -59,14 +59,6 @@ function render_doIdentityImages {
             WIDTH=''
         fi
 
-        # Check =THEME= translation marker existence inside design
-        # template instance and replace it with the name of the theme
-        # being rendered.
-        grep "=THEME=" $INSTANCE > /dev/null
-        if [[ $? -eq 0 ]];then
-            sed -i -e "s!=THEME=!$(cli_getThemeName)!g" $INSTANCE
-        fi
-
         # Check external files existence. External files are used when
         # reusing background images inside design templates. In these
         # cases external files point to images which contain the
diff --git a/Scripts/Bash/Functions/Render/render_doTranslationMarkers.sh b/Scripts/Bash/Functions/Render/render_doTranslationMarkers.sh
new file mode 100755
index 0000000..e7abe22
--- /dev/null
+++ b/Scripts/Bash/Functions/Render/render_doTranslationMarkers.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# render_doTranslationMarkers.sh -- This function standardizes
+# replacements for common translation markers.  This function must be
+# called from render_getIdentityDefs.sh function (after instance
+# creation and before final file creation).  Raplacements are applied
+# to temporal instances used to produced the final file.
+#
+# Copyright (C) 2009-2010 Alain Reguera Delgado
+# 
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
+# 
+# ----------------------------------------------------------------------
+# $Id$
+# ----------------------------------------------------------------------
+
+function render_doTranslationMarkers {
+
+    # Replace theme translation marker with appropriate theme name.
+    grep "=THEME=" $INSTANCE > /dev/null
+    if [[ $? -eq 0 ]];then
+        sed -i -e "s!=THEME=!$(cli_getThemeName)!g" $INSTANCE
+    fi
+
+}
diff --git a/Scripts/Bash/Functions/Render/render_getIdentityDefs.sh b/Scripts/Bash/Functions/Render/render_getIdentityDefs.sh
index 7fd7cd3..124c00b 100644
--- a/Scripts/Bash/Functions/Render/render_getIdentityDefs.sh
+++ b/Scripts/Bash/Functions/Render/render_getIdentityDefs.sh
@@ -369,4 +369,7 @@ function render_getIdentityDefs {
 
     fi
 
+    # Replace common translation markers inside instance.
+    render_doTranslationMarkers
+
 }